from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XMutableGridDataModel(XGridDataModel, Protocol):
    def addRow(self, Heading: Any, Data: sequence< any >) -> None: ...
    def removeAllRows(self) -> None: ...
    def addGridDataListener(self, Listener: XGridDataListener) -> None: ...
    def removeGridDataListener(self, Listener: XGridDataListener) -> None: ...
